Subject: Fwd: I-D ACTION:draft-hardie-wg-stuckees-00.txt

From: Ted Hardie <[email-masked]>
Date: Fri, 14 Feb 2003 11:24:08 -0800

Howdy,
         During December we had a discussion on the list of how
to retain the openness of the IETF process but have a better
sense of who had committed to taking on the work of a working
group.  In that discussion, I proposed having a category "working group member"
with specific responsibilities.  I was never very happy with the term,
though, as I was afraid that membership implied rights and
privileges rather than responsibilities.
         It struck me the other day that the IETF has a perfectly
good term for this role, "stuckee" (as in the oft-heard "Who is the
stuckee on that draft?").  I accordingly have re-worked my
original proposal with that term and some of the other suggested
changes.  Below is a URL to the draft; comments welcome.
         I do plan to give a pointer to CRISP to the draft and
ask folks if they would be willing to take on the "working group
stuckee" role.  I'd be interested to know if other folks do the
same for their working groups.
                         regards,
                                 Ted

>http://www.ietf.org/internet-drafts/draft-hardie-wg-stuckees-00.txt

---

From: "The Purple Streak, Hilarie Orman" <[email-masked]>
Date: Thu, 20 Feb 2003 19:43:17 -0700

The way it's written it sound like too much stick and not enough
carrot.  How about having stuckee status be an award conferred by the
chairs, based on contributions?  Keep the list on the web page.  That
is, if chairs really want to do this much record keeping, policy
setting, and enforcement.

Item 10 seems very controversial.  Even if there are many informed
technical people supporting something, if the stuckees are divided
or ambivalent or uninterested, then the item cannot be considered a
consensus.  This seems too severe.

But, despite all the mechanism, I'm not sure what the advantage is
over having the chairs say, as they often do, "if no one is interested
enough in this work to comment on it, then we will seek dissolution of
the WG".  The stuckee method is just a very complicated way of getting
at the same idea ("the number of stuckees has fallen below the minimum
level for WG").

Hilarie

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 21 Feb 2003 14:22:55 +0100

Ted,

The only issue I would have with the "stuckee" word concerns those
of us who happen to work for large companies and sometimes need
every argument we can find to get travel funding. I can better
imagine using a formal term in a travel request than "stuckee".
So I would suggest (even if we use "stuckee" in daily life) to
document an alternative term that will work better with budget
holders. My suggestion is "active working group member". So, how
about changing the beginning of section 2 to read:

  Stuckees, also known as "active working group members," are individuals who...

My other comment is that you need to check with the IETF lawyer
whether designating someone a stuckee would create extra liability. 
If so, this could have serious effects on the cost of our insurance 
policy.

Apart from that, and on the understanding that it doesn't in any way
change the rights and duties of non-stuckees, this seems like
a Good Thing. (My own WG is heading for closure soon, so I won't be able
to test drive it.) 

    Brian

---

From: "James Kempf" <[email-masked]>
Date: Fri, 21 Feb 2003 08:47:04 -0800

I briefly scanned this draft yesterday, and it seems to encode basically what
most WG chairs currently do informally anyway, or, at least, those I've had
exposure to or done myself.

I think this is a really hard issue and I don't see any solution. In some WGs,
the amount of interest and contribution is so enormous that it is almost
overwhelming. For example, people on the MIP list are right now quibbling over
the dotting of i's and crossing of t's in the MIPv6 draft. The IPv6 list seems
to be the same. On the other hand, I've been having a hard time getting any
contribution for SEND, even out of designated design team members, except to
have them show up for periodic teleconferences. The two co-chairs and the
document editor seem to be the only ones who want to do any work.

The problem is that IETF is a volunteer group, and the leadership really has no
leverage over people who come along for the ride. We could do as IEEE does, and
institute banquets for all when a major milestone is complete, and plaques for
those who work especially hard to complete it, but given the scope of IETF
activity (and perhaps my skepticism about carrots that really don't have any
nutritional value, or maybe in the case of banquets, too much :-), this seems
somewhat questionable.

            jak

---

From: Ted Hardie <[email-masked]>
Date: Thu, 20 Feb 2003 19:06:58 -0800

Hi Hilarie,
         Thanks for you comments.  A few responses.

>setting, and enforcement.

You're right; this is practically all stick.  The only real carrot
is getting the work for the working group done.  I can see adding
carrots (mention on a web page or in documents), but I
really want to avoid this slipping into a "membership"
class with rights and privileges beyond those of the usual
working group participant.  This is probably particularly
sensitive for me, as that was the language I originally
used to describe it, and the niggle their kept me from
putting the idea out there more widely.

>consensus.  This seems too severe.

I see the problem.   I'm really trying to get at the other
end of the spectrum, where there aren't enough informed
technical people saying anything.  I'll see if I can tweak
the language a bit.

>at the same idea ("the number of stuckees has fallen below the minimum

It isn't very different.  The only real difference is that the role may be
just formal enough for people to actually be able to gauge the level
of effort a bit better.  I know lots of well intentioned folk who agree
that a particular work item would be valuable, but gauge poorly the work
*they* need to put in to see it happen.  This provides a potential
method to help them gauge that (by setting out what they will
do and on what time schedule) and to help those managing the
effort know that they have at least N folks willing to make actual
assertions about the quality of the work.

Not a revolution, by any means; just a way of formalizing a role
that is already there.
                         regards,
                                 Ted Hardie

---

From: Ted Hardie <[email-masked]>
Date: Thu, 20 Feb 2003 19:06:58 -0800

Hi Hilarie,